Debian Bug report logs - #724311
ITP: python-solar -- Python library for precise ephemeris calculations

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Will Hardy <wh@ammonit.com>

Date: Mon, 23 Sep 2013 16:09:02 UTC

Owned by: debacle@debian.org

Severity: wishlist

Fixed in version pysolar/0.5+git4720b36403-1

Done: debacle@debian.org (W. Martin Borgert)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-science@lists.debian.org, debian-python@lists.debian.org, wnpp@debian.org:
Bug#724311; Package wnpp. (Mon, 23 Sep 2013 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Hardy <wh@ammonit.com>:
New Bug report received and forwarded. Copy sent to debian-science@lists.debian.org, debian-python@lists.debian.org, wnpp@debian.org. (Mon, 23 Sep 2013 16:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Will Hardy <wh@ammonit.com>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: ITP: python-pysolar -- Python library for precise ephemeris calculations
Date: Mon, 23 Sep 2013 16:07:11 +0000
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-science@lists.debian.org, debian-python@lists.debian.org

* Package name    : python-pysolar
  Upstream Author : Brandon Stafford
* URL             : https://github.com/pingswept/pysolar/

* License         : GPL/LGPL
  Programming Lang: Python
  Description     : Python library for precise ephemeris calculations

Here is a python library, similar to python-pyephem (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=705339), but written in pure python. I don't believe it has refraction correction for sunrise/sunset calculations like pyephem does.

I have made a couple of changes to its debian packaging in a pull request on the project's github repo: https://github.com/pingswept/pysolar/pull/6


Owner recorded as Will Hardy <wh@ammonit.com>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 23 Sep 2013 16:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Will Hardy <wh@ammonit.com>:
Bug#724311; Package wnpp. (Thu, 12 Dec 2013 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Will Hardy <wh@ammonit.com>. (Thu, 12 Dec 2013 08:51:04 GMT) Full text and rfc822 format available.

Message #12 received at 724311@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 724311@bugs.debian.org, control@bugs.debian.org
Subject: ITP: python-solar -- Python library for precise ephemeris calculations
Date: Thu, 12 Dec 2013 09:47:06 +0100
owner 724311 debacle@debian.org
retitle 724311 ITP: python-solar -- Python library for precise ephemeris calculations
thanks

Starting packaging in the git repo of collab-maint, see
http://anonscm.debian.org/gitweb/?p=collab-maint/python-solar.git



Owner changed from Will Hardy <wh@ammonit.com> to debacle@debian.org. Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Thu, 12 Dec 2013 08:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: python-solar -- Python library for precise ephemeris calculations' from 'ITP: python-pysolar -- Python library for precise ephemeris calculations' Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Thu, 12 Dec 2013 08:51:08 GMT) Full text and rfc822 format available.

Reply sent to debacle@debian.org (W. Martin Borgert):
You have taken responsibility. (Mon, 27 Jan 2014 13:03:09 GMT) Full text and rfc822 format available.

Notification sent to Will Hardy <wh@ammonit.com>:
Bug acknowledged by developer. (Mon, 27 Jan 2014 13:03:09 GMT) Full text and rfc822 format available.

Message #21 received at 724311-close@bugs.debian.org (full text, mbox):

From: debacle@debian.org (W. Martin Borgert)
To: 724311-close@bugs.debian.org
Subject: Bug#724311: fixed in pysolar 0.5+git4720b36403-1
Date: Mon, 27 Jan 2014 13:00:07 +0000
Source: pysolar
Source-Version: 0.5+git4720b36403-1

We believe that the bug you reported is fixed in the latest version of
pysolar, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724311@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
W. Martin Borgert <debacle@debian.org> (supplier of updated pysolar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Jan 2014 13:08:41 +0000
Source: pysolar
Binary: python-pysolar
Architecture: source all
Version: 0.5+git4720b36403-1
Distribution: unstable
Urgency: low
Maintainer: W. Martin Borgert <debacle@debian.org>
Changed-By: W. Martin Borgert <debacle@debian.org>
Description: 
 python-pysolar - Python library for precise ephemeris calculations
Closes: 724311
Changes: 
 pysolar (0.5+git4720b36403-1) unstable; urgency=low
 .
   * Initial release (Closes: #724311)
Checksums-Sha1: 
 e51b95efb03db5a354fbfde7e49da5a7b9ec9262 1317 pysolar_0.5+git4720b36403-1.dsc
 b19018c9107d79578b6fea75c7a607ca05c7f9ea 1858523 pysolar_0.5+git4720b36403.orig.tar.gz
 ef43c83ac7c0e1d2b4e6bedbf9118ac772c4fdb0 1613 pysolar_0.5+git4720b36403-1.debian.tar.gz
 e966410d14eb34115aa703f398a6d4fc768a1ecd 21090 python-pysolar_0.5+git4720b36403-1_all.deb
Checksums-Sha256: 
 eee6c02e9b9e8346dbdc5efb23331fc58df40958cdbfa13bdc56aaa3fa6b7d87 1317 pysolar_0.5+git4720b36403-1.dsc
 87491608082010a3b72458b264d3b159117803e13ee5b779459286f86765b21e 1858523 pysolar_0.5+git4720b36403.orig.tar.gz
 93a73be088533f3908d6c8e046ce6b3da118cddb2bab3c1eb88ed4b8c0ee4007 1613 pysolar_0.5+git4720b36403-1.debian.tar.gz
 52cdaa2c38c75a0879da3e47076c03cc7ec2a91552ce20e1c9a6fc20c58ecc7f 21090 python-pysolar_0.5+git4720b36403-1_all.deb
Files: 
 058a8405bb00cc46d6e22ba7da8ae1f7 1317 python extra pysolar_0.5+git4720b36403-1.dsc
 5efd285370634b50f369361bb6f201c3 1858523 python extra pysolar_0.5+git4720b36403.orig.tar.gz
 01e6ffee5639dd4c407e04ad4b4dfeb9 1613 python extra pysolar_0.5+git4720b36403-1.debian.tar.gz
 5c1498d82d76df197e19618715768e0d 21090 python extra python-pysolar_0.5+git4720b36403-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlLjuqgACgkQ+xM0OFfj6IjQ+QCglaW674eh4GW0qNL11AS7Mrnn
RLIAoJdqKJL18uK9xFLjWNvQArNbiDIy
=aJtf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Feb 2014 07:26:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:22:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.